<h4>Vehicle Number - <span *ngIf="showVehicleDetails" class="carNo">{{(vehicleDetails.car && vehicleDetails.car.registrationNumber) ? vehicleDetails.car.registrationNumber : ''}}</span></h4>
<div class="row">
  <div class="outer-container">
    <span *ngIf="showVehicleDetails">

      <div class="row BBP10">
          <div class="col-md-4"></div>
          <div class="col-md-4 vehicle-detail">
            <span class="label status-label">Inspection Status</span>
            <span class="value">
              <div class="status-btn" *ngIf="failStatus" [ngClass]="{'failBtn':failStatus === true}" ><span>FAIL</span></div>
              <div class="status-btn" *ngIf="checkStatus" [ngClass]="{'checkBtn':checkStatus === true}" ><span>CHECK</span></div>
              <div class="status-btn" *ngIf="passStatus" [ngClass]="{'passBtn':passStatus === true}" ><span>PASS</span></div>
            </span>
          </div>
          <div class="col-md-4"></div>
      </div>

      <div class="row BBP10">
        <div class="col-md-3 vehicle-detail">
          <span class="label">Asset Number</span>
          <span class="value">NA</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">Fleet Number</span>
          <span class="value">{{(vehicleDetails.car && vehicleDetails.car.fleetNo) ? vehicleDetails.car.fleetNo : 'NA'}}</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">VIN</span>
          <span class="value">{{(vehicleDetails.car && vehicleDetails.car.vinNumber) ? vehicleDetails.car.vinNumber : 'NA'}}</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">Duty Type</span>
          <span class="value">{{(vehicleDetails.car && vehicleDetails.car.dutyType) ? vehicleDetails.car.dutyType : 'NA'}}</span>
        </div>
      </div>
      <div class="row p10">
        <div class="col-md-3 vehicle-detail">
          <span class="label">Make</span>
          <span class="value">{{(vehicleDetails.car && vehicleDetails.car.make) ? vehicleDetails.car.make : 'NA'}}</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">Model</span>
          <span class="value">{{(vehicleDetails.car && vehicleDetails.car.modelNo) ? vehicleDetails.car.modelNo : 'NA'}}</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">Year</span>
          <span class="value">NA</span>
        </div>
        <div class="col-md-3 vehicle-detail">
          <span class="label">Lifespan</span>
          <span class="value">{{carLifeSpan}}</span>
        </div>
       </div>
    </span>
  </div>
</div>
